
-- import all configs from rso 3.7.6 for testing as one big merged table
local root = ''
local example_configs = require (root .. 'example_configs_1/__init__')(root)

-- the rso interface name
local rso_interface_name = 'rso-config-registry'

-- the config export function
local function add_configs_to_rso()
  if not remote .interfaces[rso_interface_name] then
    error('Example Mod could not find RSO config interface!')
    end
  
  local success = remote .call(rso_interface_name,'add_configs', example_configs)
  if not success then error('Example Mod failed to import RSO config!') end
  
  end
  
script.on_init(add_configs_to_rso)
script.on_configuration_changed(add_configs_to_rso)