
local optionals = {}
optionals['resource-ore'] = {
  ['resource_name'                  ] = true,
  ['allotment'                      ] = false,
  ['spawns_per_region'              ] = false,
  ['richness'                       ] = false,
  ['size'                           ] = false,
  ['min_amount'                     ] = true,
  ['starting'                       ] = true,
  ['multi_resource_chance'          ] = true,
  ['multi_resource'                 ] = true,
  ['minimum_amount'                 ] = true,
  ['force'                          ] = true,
  ['clear_range'                    ] = true,
  ['size_per_region_factor'         ] = true,
  ['probability_distance_factor'    ] = true,
  ['max_probability_distance_factor'] = true,
  ['along_resource_probability'     ] = true,
  ['sub_spawn_probability'          ] = true,
  ['sub_spawn_size'                 ] = true,
  ['sub_spawn_distance_factor'      ] = true,
  ['sub_spawn_max_distance_factor'  ] = true,
  ['sub_spawns'                     ] = true,
  ['useOreScaling'                  ] = true,
  ['absolute_probability'           ] = true,
  ['min_size'                       ] = true,
  ['autoplace_name'                 ] = true,
  }
optionals['resource-liquid'] = optionals['resource-ore'] --same conditions for all resources
  
optionals['entity'] = {
  -- ['resource_name'                  ] = true,
  ['allotment'                      ] = true,
  ['spawns_per_region'              ] = false,
  ['richness'                       ] = false,
  ['size'                           ] = false,
  ['min_amount'                     ] = true,
  ['starting'                       ] = true,
  ['multi_resource_chance'          ] = true,
  ['multi_resource'                 ] = true,
  ['minimum_amount'                 ] = true,
  ['force'                          ] = false,
  ['clear_range'                    ] = false,
  ['size_per_region_factor'         ] = true,
  ['probability_distance_factor'    ] = true,
  ['max_probability_distance_factor'] = false,
  ['along_resource_probability'     ] = false,
  ['sub_spawn_probability'          ] = false,
  ['sub_spawn_size'                 ] = false,
  ['sub_spawn_distance_factor'      ] = false,
  ['sub_spawn_max_distance_factor'  ] = false,
  ['sub_spawns'                     ] = false,
  ['useOreScaling'                  ] = true,
  ['absolute_probability'           ] = true,
  ['min_size'                       ] = true,
  ['autoplace_name'                 ] = true,
  }
  
return optionals